[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] Add --ca-directory=/etc/ssl/ca-debian to wget options.



---
 config/debian/cron.daily                | 2 +-
 scripts/debian/update-mailingliststxt   | 2 +-
 scripts/debian/update-pseudopackages.sh | 2 +-
 scripts/nfu/get-w-b-db                  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/config/debian/cron.daily b/config/debian/cron.daily
index 1214bab..f57f6a8 100755
--- a/config/debian/cron.daily
+++ b/config/debian/cron.daily
@@ -30,7 +30,7 @@ LOGFILE="$logdir/daily_${NOW}.log"
 exec >> "$LOGFILE" 2>&1
 
 # get the latest list of wnpp bugs and their source packages
-wget -q -O${TMPFILE} https://qa.debian.org/data/bts/wnpp_rm
+wget -q -O${TMPFILE} --ca-directory=/etc/ssl/ca-debian https://qa.debian.org/data/bts/wnpp_rm
 chmod go+r ${TMPFILE}
 mv ${TMPFILE} /srv/ftp-master.debian.org/scripts/masterfiles/wnpp_rm
 
diff --git a/scripts/debian/update-mailingliststxt b/scripts/debian/update-mailingliststxt
index f873d54..9005a51 100755
--- a/scripts/debian/update-mailingliststxt
+++ b/scripts/debian/update-mailingliststxt
@@ -11,6 +11,6 @@ export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 cd $ftpdir/doc
 
 echo Updating archive version of mailing-lists.txt
-wget -t1 -T20 -q -N https://www.debian.org/misc/mailing-lists.txt || \
+wget -t1 -T20 -q -N --ca-directory=/etc/ssl/ca-debian https://www.debian.org/misc/mailing-lists.txt || \
   echo "Some error occured..."
 
diff --git a/scripts/debian/update-pseudopackages.sh b/scripts/debian/update-pseudopackages.sh
index 11fdccd..10c7bba 100755
--- a/scripts/debian/update-pseudopackages.sh
+++ b/scripts/debian/update-pseudopackages.sh
@@ -12,5 +12,5 @@ cd ${scriptdir}/masterfiles
 
 echo Updating archive version of pseudo-packages
 for file in maintainers description; do
-	wget -t2 -T20 -q -N https://bugs.debian.org/pseudopackages/pseudo-packages.${file} || echo "Some error occured with $file..."
+	wget -t2 -T20 -q -N --ca-directory=/etc/ssl/ca-debian https://bugs.debian.org/pseudopackages/pseudo-packages.${file} || echo "Some error occured with $file..."
 done
diff --git a/scripts/nfu/get-w-b-db b/scripts/nfu/get-w-b-db
index eabbdc5..46768e2 100755
--- a/scripts/nfu/get-w-b-db
+++ b/scripts/nfu/get-w-b-db
@@ -34,5 +34,5 @@ export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 WB_DB_DIR=${WB_DB_DIR:-${scriptdir}/nfu}
 
 for arch in $(dak admin s-a list-arch unstable); do
-    wget -q https://buildd.debian.org/stats/$arch-all.txt -O ${WB_DB_DIR}/${arch}-all.txt || echo "No w-b dump for ${arch}"
+    wget -q --ca-directory=/etc/ssl/ca-debian https://buildd.debian.org/stats/$arch-all.txt -O ${WB_DB_DIR}/${arch}-all.txt || echo "No w-b dump for ${arch}"
 done
-- 
2.1.4


Reply to: